<h1>Blog</h1>

<%= form_tag({:action=>:index}, :method=>:get, :class=>:filter_form, :id=>:controller_filter) do %>
    <p>
     <%= search_field_tag :pattern, @blogroll.pattern, :placeholder=>'Pattern' %>
     <%= submit_tag :filter %>
    </p>
<% end %>

<% if @article %>
    <%= form_for @article, :url=>{:action=>:create}, :method=>:POST do |f| %>
     <fieldset id='article'>
      <legend>New Blog Post</legend>
        <%= f.hidden_field :id %>
        <%= f.text_field :title, :size=>45, :placeholder=>'Headline' %><br/>
        <%= f.text_area :comment, :cols=>50, :rows=>20, placeholder: 'Some valuable insights.' %>
        <br/>
        <%= f.submit 'Save Article' %>
      </div>
     </fieldset>
    <% end %>
<% end %>

<% if @blogroll.empty? then  %>
    <% if @blogroll.pattern? then  %>
        <p>No blog items found matching "<%=@blogroll.pattern%>".</p>
    <% else %>
        <p>No commentary happened in the past four weeks.</p>
    <% end %>
<% else %>
    <div class='blogitem spacer' />

    <div class='blogindex'>
        <h3>Index</h3>
        <ul>
        <% @blogroll.each do |i| %>
          <li><%= link_to i.title, blog_index_path(:anchor=>i.id) %>
              <span>on <%= smr_humanize i.date, :time_for_humans=>true %></span></li>
        <% end %>
        </ul>
    </div>

    <% @blogroll.each do |i| %>
    <div class='blogitem' id='<%= i.id %>'>
        <h3><%= smr_highlight i.title, @blogroll.pattern %></h3>
        <%= link_to '+', i.link.to_url if i.link and not (i.type=='Comment' and i.date<7.days.ago) %>
        <span>recorded <%= i.type %> at <%= smr_humanize i.date, :time_for_humans=>true %></span>
        <p class="comment_text"><%= smr_highlight i.body, @blogroll.pattern %></p>
    </div>
    <% end %>
<% end %>

